import { axios } from '@/utils/request'

//  提现列表  有分页
export const queryMerchantCashOutPage = (params) => {
  const url = `/merchantNew/queryMerchantCashOutPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  申请提现  保存
export const saveMerchantCashOut = (params) => {
  return axios({
    url: '/merchantNew/saveMerchantCashOut',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('申请提现')
    }
  })
}
// 申请提现 获取显示信息
export const merchantCashOutDetail = (params) => {
  return axios({
    url: '/merchantNew/queryMerchantAccount',
    data: {},
    method: 'get'
  })
}

// 账单流水 列表   有分页
export const bizTradeList = (params) => {
  const url = `/bizTrade/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('账单流水列表')
    }
  })
}

// 账单流水 统计
export const bizTradeQueryGroupCount = (params) => {
  const url = `/bizTrade/queryGroupCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

/* 线上支付订单页面
 * 接口请求
*/

// 线上支付订单 列表 有分页
export const queryShelfSettleRulePage = (params) => {
  const url = `/bizTrade/queryShelfSumPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 线上支付订单 合计
export const queryShelfSettleRuleCount = (params) => {
  const url = `/bizTrade/querySumBizTradeByShelf`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 线上支付订单 明细列表 有分页
export const queryByBizTradeList = (params) => {
  const url = `/sales/queryByBizTrade/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('明细列表')
    }
  })
}

// 线上支付订单   明细   统计
export const queryByBizTradeCount = (params) => {
  const url = `/sales/queryByBizTradeSum`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
